Failed to init Intel sound card in 20.04

Bug #1864871 reported by Anton on 2020-02-26
76
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

After installing current 20.04 release on ThinkBook 13s IML with Intel audio card there is no sound available because sound card not detected (only dummy output available in sound settings):

$ alsamixer
cannot open mixer: No such file or directory

$ lspci -nnk |grep -A2 audio
lspci: Unable to load libkmod resources: error -12
00:1f.3 Multimedia audio controller [0401]: Intel Corporation Device [8086:02c8]
 Subsystem: Lenovo Device [17aa:3816]
 Kernel driver in use: sof-audio-pci
00:1f.4 SMBus [0c05]: Intel Corporation Device [8086:02a3]
 Subsystem: Lenovo Device [17aa:3819]

$ pacmd list-cards
0 card(s) available.

$ dmesg |grep sof
[ 0.755398] PCI-DMA: Using software bounce buffering for IO (SWIOTLB)
[ 0.755400] software IO TLB: mapped [mem 0x7d91d000-0x8191d000] (64MB)
[ 2.142149] systemd[1]: Mounting Mount unit for software-boutique, revision 54...
[ 2.333772] systemd[1]: Mounted Mount unit for software-boutique, revision 54.
[ 2.770307] sof-audio-pci 0000:00:1f.3: warning: No matching ASoC machine driver found
[ 2.770316] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040100
[ 2.770473] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 2.770696] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 2.779359] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 5
[ 2.779360] sof-audio-pci 0000:00:1f.3: using HDA machine driver skl_hda_dsp_generic now
[ 2.817051] sof-audio-pci 0000:00:1f.3: Direct firmware load for intel/sof/sof-cnl.ri failed with error -2
[ 2.817054] sof-audio-pci 0000:00:1f.3: error: request firmware intel/sof/sof-cnl.ri failed err: -2
[ 2.817057] sof-audio-pci 0000:00:1f.3: error: failed to load DSP firmware -2
[ 2.817058] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -2

I've found similar bug reported here: https://bugs.archlinux.org/task/64720

As a workaround I've added `snd_hda_intel.dmic_detect=0` to boot options and after that sound card successfully detected and started working.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-14-generic 5.4.0-14.17
ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
Uname: Linux 5.4.0-14-generic x86_64
ApportVersion: 2.20.11-0ubuntu18
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDesktop: MATE
Date: Wed Feb 26 19:22:05 2020
InstallationDate: Installed on 2020-02-25 (1 days ago)
InstallationMedia: Ubuntu-MATE 20.04 LTS "Focal Fossa" - Alpha amd64 (20200221)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 003: ID 04f3:0c02 Elan Microelectronics Corp. ELAN:Fingerprint
 Bus 001 Device 002: ID 04f2:b61e Chicony Electronics Co., Ltd Integrated Camera
 Bus 001 Device 004: ID 8087:0aaa Intel Corp.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 20RR
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-14-generic root=UUID=94f1e507-a44a-46a8-9163-548d27303afb ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-14-generic N/A
 linux-backports-modules-5.4.0-14-generic N/A
 linux-firmware 1.186
SourcePackage: linux-5.4
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/29/2019
dmi.bios.vendor: LENOVO
dmi.bios.version: CQCN24WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40697WIN
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ThinkBook 13s-IML
dmi.modalias: dmi:bvnLENOVO:bvrCQCN24WW:bd10/29/2019:svnLENOVO:pn20RR:pvrLenovoThinkBook13s-IML:rvnLENOVO:rnLNVNB161216:rvrSDK0J40697WIN:cvnLENOVO:ct10:cvrLenovoThinkBook13s-IML:
dmi.product.family: ThinkBook 13s-IML
dmi.product.name: 20RR
dmi.product.sku: LENOVO_MT_20RR_BU_idea_FM_ThinkBook 13s-IML
dmi.product.version: Lenovo ThinkBook 13s-IML
dmi.sys.vendor: LENOVO

Anton (an-lar) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-5.4 (Ubuntu):
status: New → Confirmed
Eugene Crosser (crosser) wrote :

Sound does not work for me on ThinkPad X1 Carbon 7gen with the same messages in dmesg.
Specifying 'snd_hda_intel.dmic_detect=0' does not change behaviour on 5.4.0-16, and if I specify it with 5.4.0-14, it hangs a few seconds after boot. Sound worked on eoan (kernel 5.3.0-40).

Eugene Crosser (crosser) wrote :

Correction: setting `snd_hda_intel.dmic_detect=0` does make snd_hda_intel driver work (without microphone, as before).

However SOF driver that worked in eoan (5.3) kernel _with upstream SOF firmware_ does not work in focal (5.4) kernel. Microphone _did_ work with SOF.

Anton (an-lar) wrote :

Haven't tested microphone before but can confirm now that it's not working on my laptop too (even with that setting).

Juan Hernandez (profjmoriarty) wrote :

Adding snd_hda_intel.dmic_detect=0 to the boot options indeed worked for me (10th get i7 X1) and it keeps the mic disabled.

gunessee (gunessee) wrote :

Not working on mine too.

Works perfectly on Ubuntu 18.04.4 LTS with 4.15.x kernel.

Gabriel Miranda (gabriel8fm) wrote :

I have the same problem here. My laptop is Dell G3-3590-A20P which have 2 audio cards:

00:1f.3 Multimedia audio controller: Intel Corporation Cannon Lake PCH Cavs (rev 10)
01:00.1 Audio device: NVIDIA Corporation Device 10fa (rev a1)

When I start the system with the HDMI cable plugged, the system only recognizes only the NVIDIA driver (screenshot attached). More information about my distro:

Linux G3-3590 5.3.0-42-generic #34~18.04.1-Ubuntu SMP Fri Feb 28 13:42:26 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

I have dual-boot with Windows 10 and the sound works perfectly. Only have issues in Ubuntu.

I have already tried many things to solve this but unsuccessfully. I will try to downgrade the kernel version.

Gabriel Miranda (gabriel8fm) wrote :

So here is an update. I did some tests with Linux Kernel 4.19 and 5.0 on Ubuntu 18.04.04 and sound works fine but the microphone was not.

MadMat (madmat) wrote :

Had the problem on Ubuntu 18.04 with kernel 5.3.0-42-generic, too. Going back to 5.3.0-40-generic resolved the issue for now.

Rajasekharan N (rajasekharan) wrote :

This bug affects Dell Inspiron 1525 too with Ubuntu LTS 20.04. It was working fine until I upgraded from 18.10 to 20.04.

I have a dual boot. Sound works perfectly in Windows.

resplin (resplin) wrote :

It appears that this bug is different from what causes similar sound problems on the Lenovo X1 Carbon 7gen. That problem is reported and fixed in this bug:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1860697

resplin (resplin) wrote :

I see this problem on a Dell Inspiron 3630.

Workaround:
The problem is only manifest when the modules are loaded during boot. After booting, I only have the dummy sound card. But if I run `sudo alsa force-reload` my sound card is correctly detected and functions fine until my next reboot.

I added a script to force-reload alsa after boot, and things seem to be reliable enough while I wait for a permanent fix.

Rajasekharan N (rajasekharan) wrote :

I tried running sudo alsa force-reload multiple times but of no use.

Shane (richthommy) wrote :

Just upgraded from Bionic to Focal 20.04. My Toshiba Laptop has no sound. I've done my research to get my sound back. Nothing works.
https://www.linuxuprising.com/2018/06/fix-no-sound-dummy-output-issue-in.html

Now I've done a test with loading UbuntuDDE 20.04 onto a flash drive to see what would happen with the sound. The Sound is working. Below is the output results

Linux ubuntudde 5.4.0-21-generic #25-Ubuntu SMP Sat Mar 28 13:10:28 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

[CODE]lsmod | grep snd_hda_intel
snd_hda_intel 49152 4
snd_intel_nhlt 20480 1 snd_hda_intel
snd_hda_codec 126976 3 snd_hda_codec_generic,snd_hda_codec_conexant,snd_hda_intel
snd_hda_core 90112 4 snd_hda_codec_generic,snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec
snd_pcm 106496 3 snd_hda_intel,snd_hda_codec,snd_hda_core
snd 90112 18 snd_hda_codec_generic,snd_seq,snd_hda_codec_conexant,snd_seq_device,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_timer,snd_pcm,snd_rawmidi[/CODE]

[CODE]lspci -nnk | grep -A2 Audio
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
    Subsystem: Toshiba Corporation 5 Series/3400 Series Chipset High Definition Audio [1179:ff1e]
    Kernel driver in use: snd_hda_intel
    Kernel modules: snd_hda_intel

Card: HDA Intel MID F1: Help │
│ Chip: Conexant CX20585 F2: System information │
│ View: F3:[Playback] F4: Capture F5: All F6: Select sound card │
│ Item: Master [dB gain: 0.00][/CODE]

Shane (richthommy) wrote :

I also want to point out I'm getting this error message.
sudo lspci -vv | grep -i audio
lspci: Unable to load libkmod resources: error -12
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)
        Subsystem: Toshiba Corporation 5 Series/3400 Series Chipset High Definition Audio

Rajasekharan N (rajasekharan) wrote :

The agony continues even with the latest kernel update, 5.4.0-29.

Hui Wang (hui.wang) wrote :

need to upload the dmesg and alsa-info.txt, otherwise there is no way to debug.

BTW, according to the log of original bug submitter (#1), it is linux-firmware's issue, the latest 20.04 already fixed it, please update the kernel and linux-firmware to the latest version.

Shane (richthommy) wrote :

This is the Link to my Alsa Info bug report script.
http://alsa-project.org/db/?f=467624bb63ab4245867c98bab0e8c2ea6be12d0e

Hui Wang (hui.wang) wrote :

@Shane,

Looks the driver on your machine is OK:
APLAY

**** List of PLAYBACK Hardware Devices ****
card 0: MID [HDA Intel MID], device 0: CX20585 Analog [CX20585 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

ARECORD

**** List of CAPTURE Hardware Devices ****
card 0: MID [HDA Intel MID], device 0: CX20585 Analog [CX20585 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Please upload the output of "pacmd list".
thx.

Bogdan (elrohe) wrote :
Download full text (129.3 KiB)

Hello!
I have the same issue with an old Toshiba Satellite L450 laptop.
I ran the live Ubuntu 20.04 image and the sound was recognized and played well.
In Settings I could see the output Internal speakers.
Then I installed from within the live image Ubuntu and still have sound.
Back then the kernel was 5.4.0-28.32-generic 5.4.30.
I've updated Ubuntu last night and surprise. Now I have only Dummy output (no sound).
I've researched and tested a lot of tricks to make it play but with no use.
This is the pulse audio log file as instructed by @Hui Wang (hui.wang) in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1875252/comments/5:

"I: [pulseaudio] main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: [pulseaudio] main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: [pulseaudio] core-rtclock.c: Timer slack is set to 50 us.
D: [pulseaudio] core-util.c: RealtimeKit worked.
I: [pulseaudio] core-util.c: Successfully gained nice level -11.
I: [pulseaudio] main.c: This is PulseAudio 13.99.1
D: [pulseaudio] main.c: Compilation host: x86_64-pc-linux-gnu
D: [pulseaudio] main.c: Compilation CFLAGS: -g -O2 -fdebug-prefix-map=/build/pulseaudio-wfatdu/pulseaudio-13.99.1=. -fstack-protector-strong -Wformat -Werror=format-security -Wall -W -Wextra -pipe -Wno-long-long -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing -Wwrite-strings -Wno-unused-parameter -fno-common -fdiagnostics-show-option -fdiagnostics-color=auto
D: [pulseaudio] main.c: Running on host: Linux x86_64 5.4.0-29-generic #33-Ubuntu SMP Wed Apr 29 14:32:27 UTC 2020
D: [pulseaudio] main.c: Found 2 CPUs.
I: [pulseaudio] main.c: Page size is 4096 bytes
D: [pulseaudio] main.c: Compiled with Valgrind support: no
D: [pulseaudio] main.c: Running in valgrind mode: no
D: [pulseaudio] main.c: Running in VM: no
D: [pulseaudio] main.c: Running from build tree: no
D: [pulseaudio] main.c: Optimized build: yes
D: [pulseaudio] main.c: FASTPATH defined, only fast path asserts disabled.
I: [pulseaudio] main.c: Machine ID is eb257e4a9baa435b98e3417af120fbe0.
I: [pulseaudio] main.c: Using runtime directory /run/user/122/pulse.
I: [pulseaudio] main.c: Using state directory /var/lib/gdm3/.config/pulse.
I: [pulseaudio] main.c: Using modules directory /usr/lib/pulse-13.99.1/modules.
I: [pulseaudio] main.c: Running in system mode: no
I: [pulseaudio] main.c: System supports high resolution timers
D: [pulseaudio] memblock.c: Using shared memfd memory pool with 1024 slots of size 64,0 KiB each, total size is 64,0 MiB, maximum usable slot size is 65472
I: [pulseaudio] cpu-x86.c: CPU flags: CMOV MMX SSE SSE2 SSE3 SSSE3
I: [pulseaudio] svolume_mmx.c: Initialising MMX optimized volume functions.
I: [pulseaudio] remap_mmx.c: Initialising MMX optimized remappers.
I: [pulseaudio] svolume_sse.c: Initialising SSE2 optimized volume functions.
I: [pulseaudio] remap_sse.c: ...

Shane (richthommy) wrote :

Because I use my Laptop as a work computer I've decided to re-load Kubuntu 20.04. Now the Sound is working. Pity this problem from my research has carried on over the years.

Fatih (fatihafizoglu) wrote :
Download full text (59.1 KiB)

I have been using 20.04 with kernel 5.4.0-29-generic for a while now.

Both microphone and speaker are not working.

> alsa-info --stdout
upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.64
!!################################

!!Script ran on: Sun May 17 00:29:13 UTC 2020

!!Linux Distribution
!!------------------

Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu 20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 20.04 LTS" HOME_URL="https://www.ubuntu.com/" SUPPORT_URL="https://help.ubuntu.com/" BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/" PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy" UBUNTU_CODENAME=focal

!!DMI Information
!!---------------

Manufacturer: LENOVO
Product Name: 20QDCTO1WW
Product Version: ThinkPad X1 Carbon 7th
Firmware Version: N2HET47W (1.30 )
Board Vendor: LENOVO
Board Name: 20QDCTO1WW

!!ACPI Device Status Information
!!---------------

/sys/bus/acpi/devices/ACPI0003:00/status 15
/sys/bus/acpi/devices/ACPI000C:00/status 15
/sys/bus/acpi/devices/ACPI000E:00/status 15
/sys/bus/acpi/devices/INT0E0C:00/status 15
/sys/bus/acpi/devices/INT33A1:00/status 15
/sys/bus/acpi/devices/INT3400:00/status 15
/sys/bus/acpi/devices/INT3403:00/status 15
/sys/bus/acpi/devices/INT34BB:00/status 15
/sys/bus/acpi/devices/INT3F0D:00/status 15
/sys/bus/acpi/devices/LEN0100:00/status 15
/sys/bus/acpi/devices/LEN0111:00/status 15
/sys/bus/acpi/devices/LEN0268:00/status 15
/sys/bus/acpi/devices/LEN0300:00/status 15
/sys/bus/acpi/devices/LNXPOWER:00/status 1
/sys/bus/acpi/devices/LNXPOWER:01/status 1
/sys/bus/acpi/devices/LNXPOWER:02/status 15
/sys/bus/acpi/devices/LNXPOWER:05/status 1
/sys/bus/acpi/devices/LNXPOWER:06/status 1
/sys/bus/acpi/devices/LNXPOWER:07/status 1
/sys/bus/acpi/devices/LNXPOWER:08/status 1
/sys/bus/acpi/devices/PNP0103:00/status 15
/sys/bus/acpi/devices/PNP0C02:00/status 3
/sys/bus/acpi/devices/PNP0C02:01/status 3
/sys/bus/acpi/devices/PNP0C02:05/status 3
/sys/bus/acpi/devices/PNP0C0A:00/status 31
/sys/bus/acpi/devices/PNP0C60:00/status 15
/sys/bus/acpi/devices/PRP00001:00/status 11
/sys/bus/acpi/devices/STM7308:00/status 15
/sys/bus/acpi/devices/SYNA8004:00/status 15
/sys/bus/acpi/devices/USBC000:00/status 15
/sys/bus/acpi/devices/device:17/status 15
/sys/bus/acpi/devices/device:26/status 15
/sys/bus/acpi/devices/device:27/status 15

!!Kernel Information
!!------------------

Kernel release: 5.4.0-29-generic
Operating System: GNU/Linux
Architecture: x86_64
Processor: x86_64
SMP Enabled: Yes

!!ALSA Version
!!------------

Driver version: k5.4.0-29-generic
Library version: 1.2.2
Utilities version: 1.2.2

!!Loaded ALSA modules
!!-------------------

!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

!!Soundcards recognised by ALSA
!!-----------------------------

--- no soundcards ---

!!PCI Soundcards...

Fatih (fatihafizoglu) wrote :

the line "0 card(s) available." in the second run of "pacmd list-cards" is a leftover. Sorry for the copy-paste mistake

Mathew Hodson (mhodson) on 2020-05-23
affects: linux-5.4 (Ubuntu) → linux (Ubuntu)
Fatih (fatihafizoglu) wrote :

Problem continues in 5.4.0-31 kernel version

Hui Wang (hui.wang) wrote :

@Faith,

Please upload dmesg.

Fatih (fatihafizoglu) wrote :

@Hui, added whole output as attachment attachment

You can see important lines also from here:

[ 3.598868] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[ 3.753859] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[ 3.754706] sof-audio-pci 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[ 3.755874] sof-audio-pci 0000:00:1f.3: warning: No matching ASoC machine driver found
[ 3.755881] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040380
[ 3.756003] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[ 3.756309] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[ 3.766388] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 5
[ 3.766390] sof-audio-pci 0000:00:1f.3: using HDA machine driver skl_hda_dsp_generic now
[ 3.803652] sof-audio-pci 0000:00:1f.3: Direct firmware load for intel/sof/sof-cnl.ri failed with error -2
[ 3.803655] sof-audio-pci 0000:00:1f.3: error: request firmware intel/sof/sof-cnl.ri failed err: -2
[ 3.803657] sof-audio-pci 0000:00:1f.3: error: failed to load DSP firmware -2
[ 3.804013] sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -2

Hui Wang (hui.wang) wrote :

@Faith,

Please upgrade linux-firmware 'sudo apt-get update; sudo apt install linux-firmware', then check if there is sof-cnl.ri in the /lib/firmware/intel/sof.

Fatih (fatihafizoglu) wrote :

@Hui,

> sudo apt-get update; sudo apt install linux-firmware
...
linux-firmware is already the newest version (1.187).
0 upgraded, 0 newly installed, 0 to remove and 7 not upgraded.

> [ ! -d "/lib/firmware/intel/sof" ] && echo "Directory /path/to/dir DOES NOT exists."
Directory /path/to/dir DOES NOT exists.

There is no directory named "sof" in this /lib/firmware/intel

Fatih (fatihafizoglu) wrote :

@Hui,

problem solved with reinstalling linux-firmware

> sudo apt reinstall linux-firmware

I now can see output and input devices correctly in settings. Even if I can see the mic, it is not working though but this might be related with something else, I will investigate further.

Thanks for the help.

Jeremie Tamburini (jeremie2) wrote :

Similar problem with:
- Ubuntu 20.04 LTS
- Fujitsu LifeBook A530
- $ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 05)

THE PROBLEM:
No sound. Gnome audio system settings shows "Dummy Audio" as output device.

Trying with Lubuntu 20.04 on a different partition there's the same problem but running PulseAudio Volume Control it's possible to select: "analog stereo duplex" or "analog stereo output".
Unfortunately there is no setting like this for Gnome.

WORKAROUND:
As reported here https://forum.ubuntu-it.org/viewtopic.php?t=413914 it seems to be a problem related to udev which doesn't find the audio card.

1. Inside /etc/pulse/default.pa find the following code:

.ifexists module-udev-detect.so
load-module module-udev-detect
.else
### Alternatively use the static hardware detection module (for systems that
### lack udev support)
load-module module-detect
.endif

2. Comment the if/else statement:

### Automatically load driver modules depending on the hardware available
#.ifexists module-udev-detect.so
#load-module module-udev-detect
#.else
### Alternatively use the static hardware detection module (for systems that
### lack udev support)
load-module module-detect
#.endif

3. Save the file and restart.

Bogdan (elrohe) wrote :

@ Jeremie Tamburini (jeremie2)

Thks mate. It works perfectly.
Did exactly as you said and now my sound card is back on.

Didi Kohen (kohen-d) wrote :

I think I have the same issue (or a very similar one), the probe workaround works, the udev one does not, can I help investigate this?

Anton (an-lar) wrote :

Update on the initial report: currently with 5.4.0-53 sound card is initialized without any workarounds. But only output dynamics works, reported microphone issue here: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1904213

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers